Imports System

Module Program
    Function prepend_title(first_name As String, last_name As String, Optional title As String = "M", Optional reverse As Boolean = False) As String
        If reverse = False Then
            Return title & " " & first_name & " " & last_name
        Else
            Return title & " " & last_name & " " & first_name
        End If
    End Function

    Sub Main(args As String())
        Console.WriteLine(prepend_title("John", "King"))     'It displays: M John King
        Console.WriteLine(prepend_title("Maria", "Cox", "Ms"))          '  Ms Maria Cox
        Console.WriteLine(prepend_title("Maria", "Cox", "Ms", True))    '  Ms Cox Maria

        'Call the function using a named argument
        Console.WriteLine(prepend_title("John", "King", reverse:=True)) '  M King John
    End Sub

End Module
