Imports System
Imports System.IO

Module Program
    Function read_file(filename As String) As String
        Dim fin As StreamReader = File.OpenText(filename)
        Dim contents As String = fin.ReadToEnd()
        fin.Close()
        Return contents
    End Function

    Sub write_file(filename As String, contents As String)
        Dim fout As StreamWriter = File.CreateText(filename)
        fout.Write(contents)
        fout.Close()
    End Sub

    Sub Main(args As String())
        Console.Write("Enter source filename: ")
        Dim source As String = Console.ReadLine()

        Console.Write("Enter destination filename: ")
        Dim destination As String = Console.ReadLine()

        Dim c As String = read_file(source)  'Equivalent to:
        write_file(destination, c)           'write_file(destination, read_file(source))
    End Sub

End Module
