Imports System

Module Program
    Sub display_menu()
        Console.WriteLine("----------------------------------------------")
        Console.WriteLine("1. Convert USD to Euro (EUR)")
        Console.WriteLine("2. Convert USD to British Pound Sterling (GBP)")
        Console.WriteLine("3. Convert USD to Japanese Yen (JPY)")
        Console.WriteLine("4. Convert USD to Canadian Dollar (CAD)")
        Console.WriteLine("5. Exit")
        Console.WriteLine("----------------------------------------------")
        Console.Write("Enter a choice: ")
    End Sub

    Function USD_to_EU(value As Double) As Double
        Return value * 0.87
    End Function

    Function USD_to_GBP(value As Double) As Double
        Return value * 0.78
    End Function

    Function USD_to_JPY(value As Double) As Double
        Return value * 108.55
    End Function

    Function USD_to_CAD(value As Double) As Double
        Return value * 1.33
    End Function

    Sub Main(args As String())
        Dim choice As Integer
        Dim amount As Double

        display_menu()
        choice = Console.ReadLine()
        Do While choice <> 5
            Console.Write("Enter an amount in US dollars: ")
            amount = Console.ReadLine()
            If choice = 1 Then
                Console.WriteLine(amount & " USD = " & USD_to_EU(amount) & " Euro")
            ElseIf choice = 2 Then
                Console.WriteLine(amount & " USD = " & USD_to_GBP(amount) & " GBP")
            ElseIf choice = 3 Then
                Console.WriteLine(amount & " USD = " & USD_to_JPY(amount) & " JPY")
            Else
                Console.WriteLine(amount & " USD = " & USD_to_CAD(amount) & " CAD")
            End If
            display_menu()
            choice = Console.ReadLine()
        Loop
    End Sub

End Module
