Imports System

Module Program
    Class FahrenheitToCelsius
        Private _temperature As Double  'Declare field temperature as private

        'Define the constructor
        Public Sub New(value As Double)
            Me.setTemperature(value)   'Call the setter
        End Sub

        'This method gets the temperature
        Public Function getTemperature() As Double
            Return 5.0 / 9.0 * (Me._temperature - 32.0)
        End Function

        'This method sets the temperature
        Public Sub setTemperature(value As Double)
            If value >= -459.67 Then
                Me._temperature = value
            Else
                Throw New Exception("There is no temperature below -459.67")
            End If
        End Sub
    End Class

    Sub Main(args As String())
        Dim x As New FahrenheitToCelsius(-50) 'Create object x. The constructor is
        'called which, in turn, calls the setter.
        Console.WriteLine(x.getTemperature())   'This calls the getter.

        x.setTemperature(-65)                   'This calls the setter.
        Console.WriteLine(x.getTemperature())   'This calls the getter.

        x._temperature = -50                    'This is NOT permitted!
        Console.WriteLine(x._temperature)       'This is NOT permitted as well!
    End Sub

End Module
