Imports System

Module Program
    Class SchoolMember
        Public name As String
        Public age As Integer

        'Define the constructor
        Public Sub New(name As String, age As Integer)
            Me.name = name
            Me.age = age
            Console.WriteLine("A school member was initialized")
        End Sub
    End Class

    Class Teacher
        Inherits SchoolMember
        Public salary As Double  'This is an additional field for this class

        'Define the constructor
        Public Sub New(name As String, age As Integer, salary As Double)
            MyBase.New(name, age)    'Call the constructor of the class SchoolMember
            Me.salary = salary

            'This is an additional statement for this constructor
            Console.WriteLine("A teacher was initialized")
        End Sub

        'This is an additional method for this class
        Public Sub display_values()
            Console.WriteLine("Name: " & Me.name)
            Console.WriteLine("Age: " & Me.age)
            Console.WriteLine("Salary: " & Me.salary)
        End Sub
    End Class

    Class Student
        Inherits SchoolMember
        Public final_grade As String  'This is an additional field for this class

        'Define the constructor
        Public Sub New(name As String, age As Integer, final_grade As String)
            MyBase.New(name, age)    'Call the constructor of the class SchoolMember
            Me.final_grade = final_grade

            'This is an additional statement for this constructor
            Console.WriteLine("A student was initialized")
        End Sub

        'This is an additional method for this class
        Public Sub display_values()
            Console.WriteLine("Name: " & Me.name)
            Console.WriteLine("Age: " & Me.age)
            Console.WriteLine("Final grade: " & Me.final_grade)
        End Sub
    End Class

    Sub Main(args As String())
        Dim teacher1 As New Teacher("Mr. John Scott", 43, 35000)
        Dim teacher2 As New Teacher("Mrs. Ann Carter", 5, 32000)

        Dim student1 As New Student("Mark Nelson", 14, "A")
        Dim student2 As New Student("Mary Morgan", 13, "B")

        teacher1.display_values()
        teacher2.display_values()
        student1.display_values()
        student2.display_values()
    End Sub

End Module
